%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for CentOS 5 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 20
Release:	%{REL}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for CentOS 5 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Mon Feb 27 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-20
* Release 1.6-20
        Kernel modules were added for the following kernels:
		2.6.18-419

* Thu Feb 16 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-19
* Release 1.6-19
        Kernel modules were added for the following kernels:
		2.6.18-418

* Tue Dec 27 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-18
* Release 1.6-18
        Kernel modules were added for the following kernels:
		2.6.18-417

* Sun Oct 30 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-17
* Release 1.6-17
        Kernel modules were added for the following kernels:
		2.6.18-416

* Wed Sep  7 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-16
* Release 1.6-16
        Kernel modules were added for the following kernels:
		2.6.18-412

* Wed Jul 13 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-15
* Release 1.6-15
        Kernel modules were added for the following kernels:
		2.6.18-411

* Thu May 12 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-14
* Release 1.6-14
        Kernel modules were added for the following kernels:
		2.6.18-410

* Thu Mar 17 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-13
* Release 1.6-13
        Kernel modules were added for the following kernels:
		2.6.18-409
		2.6.18-408

* Thu Nov 12 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-12
* Release 1.6-12
        Kernel modules were added for the following kernels:
                2.6.18-407

* Wed Jun  3 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-11
* Release 1.6-11
        Kernel modules were added for the following kernels:
                2.6.18-406

* Wed Apr  8 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-10
* Release 1.6-10
        Kernel modules were added for the following kernels:
                2.6.18-404

* Thu Feb 12 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-9
* Release 1.6-9
        Kernel modules were added for the following kernels:
                2.6.18-402

* Sat Dec 20 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-8
* Release 1.6-8
        Kernel modules were added for the following kernels:
                2.6.18-400.1.1

* Tue Dec  9 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-7
* Release 1.6-7
	Rebuilt all kernel modules by specifying the correct KVER value.

* Fri Dec  5 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-6
* Release 1.6-6
        Kernel modules were added for the following kernels:
                2.6.18-400

* Tue Sep 30 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-5
* Release 1.6-5
        Kernel modules were added for the following kernels:
                2.6.18-398

* Mon Sep  8 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-4
* Release 1.6-4
        Kernel modules were added for the following kernels:
                2.6.18-371.12.1

* Fri Jul 25 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-3
* Release 1.6-3
        Kernel modules were added for the following kernels:
                2.6.18-371.11.1

* Mon Jun 23 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Kernel modules were added for the following kernels:
		2.6.18-371.9.1

* Mon Jun 2 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Initial release. Kernel modules were added for the following kernels:
		2.6.18-8	 2.6.18-8.1.1	  2.6.18-8.1.3	   2.6.18-8.1.4
		2.6.18-8.1.6	 2.6.18-8.1.8	  2.6.18-8.1.10	   2.6.18-8.1.14
		2.6.18-8.1.15	 2.6.18-53	  2.6.18-53.1.4	   2.6.18-53.1.6
		2.6.18-53.1.13	 2.6.18-53.1.14	  2.6.18-53.1.19   2.6.18-53.1.21
		2.6.18-92	 2.6.18-92.1.1	  2.6.18-92.1.6	   2.6.18-92.1.10
		2.6.18-92.1.13	 2.6.18-92.1.17	  2.6.18-92.1.18   2.6.18-92.1.22
		2.6.18-128	 2.6.18-128.1.1	  2.6.18-128.1.6   2.6.18-128.1.10
		2.6.18-128.1.14	 2.6.18-128.1.16  2.6.18-128.2.1   2.6.18-128.4.1
		2.6.18-128.7.1	 2.6.18-164	  2.6.18-164.2.1   2.6.18-164.6.1
		2.6.18-164.9.1	 2.6.18-164.10.1  2.6.18-164.11.1  2.6.18-164.15.1
		2.6.18-194	 2.6.18-194.3.1	  2.6.18-194.8.1   2.6.18-194.11.1
		2.6.18-194.11.3	 2.6.18-194.11.4  2.6.18-194.17.1  2.6.18-194.17.4
		2.6.18-194.26.1	 2.6.18-194.32.1  2.6.18-238	   2.6.18-238.1.1
		2.6.18-238.5.1	 2.6.18-238.9.1	  2.6.18-238.12.1  2.6.18-238.19.1
		2.6.18-274	 2.6.18-274.3.1	  2.6.18-274.7.1   2.6.18-274.12.1
		2.6.18-274.17.1	 2.6.18-274.18.1  2.6.18-308	   2.6.18-308.1.1
		2.6.18-308.4.1	 2.6.18-308.8.1	  2.6.18-308.8.2   2.6.18-308.11.1
		2.6.18-308.13.1	 2.6.18-308.16.1  2.6.18-308.20.1  2.6.18-308.24.1
		2.6.18-348	 2.6.18-348.1.1	  2.6.18-348.2.1   2.6.18-348.3.1
		2.6.18-348.4.1	 2.6.18-348.6.1	  2.6.18-348.12.1  2.6.18-348.16.1
		2.6.18-348.18.1	 2.6.18-371	  2.6.18-371.1.2   2.6.18-371.3.1
		2.6.18-371.4.1	 2.6.18-371.6.1	  2.6.18-371.8.1
